Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## groovy.util
[Java] Interface ObjectGraphBuilder.ChildPropertySetter

    public interface ObjectGraphBuilder.ChildPropertySetter

Strategy for setting a child node on its parent.
Useful for handling Lists/Arrays vs normal properties.

Method Summary
`void` | `setChild(Object parent, Object child, String parentName, String propertyName)` @param parent the parent's node value

Method Detail

### setChild

    public void setChild(Object parent, Object child, String parentName, String propertyName)

  Parameters:
    `parent` - the parent's node value
    `child` - the child's node value
    `parentName` - the name of the parent node
    `propertyName` - the resolved relation name of the child

Copyright © 2003-2010 The Codehaus. All rights reserved.